Module org.jfree.chart3d
Package org.jfree.chart3d.renderer

# Interface ColorScale

All Known Implementing Classes:
  `FixedColorScale`, `GradientColorScale`, `RainbowScale`

public interface ColorScale
A color scale converts a data value into a color according to some predefined color scale.

Since:
  1.1

## Method Summary

Modifier and Type
Method
Description
`Range`
`getRange()`
Returns the range over which the scale is defined.
`Color`
`valueToColor(double value)`
Returns the color on the scale that corresponds to the specified value.

## Method Details

### getRange

Range getRange()
Returns the range over which the scale is defined.

Returns:
  The range (never `null`).

### valueToColor

Color valueToColor(double value)
Returns the color on the scale that corresponds to the specified value.

Parameters:
  `value` - the value.
Returns:
  The color (never `null`).